package com.emr.dao;

import com.emr.entity.Emr_Log;
import com.emr.entity.Emr_Log_Vo;

import java.util.List;

public interface Emr_LogMapper {
    /**
     * 根据主键删除记录
     * @param logId
     * @return
     */
    int deleteByPrimaryKey(Integer logId);

    /**
     * 插入记录
     * @param record
     * @return
     */
    int insert(Emr_Log record);

    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertSelective(Emr_Log record);

    /**
     * 根据 log_content=病案召回 ，sys_flag=EMR_Medical_Record ,log_title查询每个病案最新的日志
     * @param logTitle
     * @return
     */
    Emr_Log lastBylogTitle(String logTitle);

    /**
     * 根据主键和其它可选字段查询记录
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(Emr_Log record);

    /**
     * 根据主键修改记录
     * @param record
     * @return
     */
    int updateByPrimaryKey(Emr_Log record);

    /**
     * 根据可选字段查询记录
     * @param record
     * @return
     */
    List<Emr_Log_Vo> selectByCol(Emr_Log_Vo record);
}